%global debug_package %{nil}

Name: python-threadpoolctl
Epoch: 100
Version: 3.1.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Thread-pool Controls
License: BSD-3-Clause
URL: https://github.com/joblib/threadpoolctl/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Python helpers to limit the number of threads used in the
threadpool-backed of common native libraries used for scientific
computing and data science (e.g. BLAS and OpenMP).

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-threadpoolctl
Summary: Thread-pool Controls
Requires: python3
Provides: python3-threadpoolctl = %{epoch}:%{version}-%{release}
Provides: python3dist(threadpoolctl) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-threadpoolctl = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(threadpoolctl) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-threadpoolctl = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(threadpoolctl) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-threadpoolctl
Python helpers to limit the number of threads used in the
threadpool-backed of common native libraries used for scientific
computing and data science (e.g. BLAS and OpenMP).

%files -n python%{python3_version_nodots}-threadpoolctl
%license LICENSE
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-threadpoolctl
Summary: Thread-pool Controls
Requires: python3
Provides: python3-threadpoolctl = %{epoch}:%{version}-%{release}
Provides: python3dist(threadpoolctl) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-threadpoolctl = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(threadpoolctl) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-threadpoolctl = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(threadpoolctl) = %{epoch}:%{version}-%{release}

%description -n python3-threadpoolctl
Python helpers to limit the number of threads used in the
threadpool-backed of common native libraries used for scientific
computing and data science (e.g. BLAS and OpenMP).

%files -n python3-threadpoolctl
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
